Array creation functions
Technical Specifications » Library Fundamentals TS
Collaboration diagram for Array creation functions:

## Functions

template<typename _Tp, size_t _Nm, size_t... _Idx>
constexpr array< remove_cv_t< _Tp >, _Nm > | std::experimental::__to_array (_Tp(&__a)[_Nm], index_sequence< _Idx... >)
template<typename _Dest = void, typename... _Types>
constexpr array< typename __make_array_elem< _Dest, _Types... >::type, sizeof...(_Types)> | std::experimental::make_array (_Types &&... __t)
template<typename _Tp, size_t _Nm>
constexpr array< remove_cv_t< _Tp >, _Nm > | std::experimental::to_array (_Tp(&__a)[_Nm]) noexcept(is_nothrow_constructible< remove_cv_t< _Tp >, _Tp & >::value)

## Detailed Description

Array creation functions as described in N4529, Working Draft, C++ Extensions for Library Fundamentals, Version 2

## Function Documentation

## __to_array()

template<typename _Tp, size_t _Nm, size_t... _Idx>

array< remove_cv_t< _Tp >, _Nm > std::experimental::fundamentals_v2::__to_array | ( | _Tp(&) | __a[_Nm],
|  | index_sequence< _Idx... > | )

constexpr

Definition at line 95 of file experimental/array.

## make_array()

template<typename _Dest = void, typename... _Types>

array< typename __make_array_elem< _Dest, _Types... >::type, sizeof...(_Types)> std::experimental::fundamentals_v2::make_array | ( | _Types &&... | __t | ) |

constexpr

Create a std::array from a variable-length list of arguments.

Definition at line 88 of file experimental/array.

References std::forward().

## to_array()

template<typename _Tp, size_t _Nm>

array< remove_cv_t< _Tp >, _Nm > std::experimental::fundamentals_v2::to_array | ( | _Tp(&) | __a[_Nm] | ) |

constexpr noexcept

Create a std::array from an array.

Definition at line 103 of file experimental/array.